Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.util
[Groovy] Class IntersectionPatternSet

    java.lang.Object
      org.gradle.api.tasks.util.PatternSet
          org.gradle.api.tasks.util.IntersectionPatternSet

    class IntersectionPatternSet
    extends PatternSet

Constructor Summary
`IntersectionPatternSet(PatternSet other)`

Method Summary
`def` | `addToAntBuilder(Object node, String childNodeName)`
`Spec` | `getAsSpec()`

Methods inherited from class PatternSet
addToAntBuilder, copyFrom, equals, exclude, exclude, exclude, exclude, excludeSpecs, getAsSpec, getExcludeSpecs, getExcludes, getIncludeSpecs, getIncludes, hashCode, include, include, include, include, includeSpecs, intersect, resetGlobalExcludes, setExcludes, setGlobalExcludes, setIncludes

Constructor Detail

### IntersectionPatternSet

    IntersectionPatternSet(PatternSet other)

Method Detail

### addToAntBuilder

    def addToAntBuilder(Object node, String childNodeName)

### getAsSpec

    Spec getAsSpec()

Gradle API 1.1-rc-1